@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

//VARIABLES
$select:#401F0C;
$primary:#63A831;
$secondary:#8698A9;

//ESTILOS
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
}
body{
    overflow-x: hidden;
    overflow-y: hidden;
    background-image: url(../img/banner.png);
}
img{
    display: block;
}
h1,h2,h3,h4,h5{
    margin: 0;
    padding: 0;
}
a{
    text-decoration: none;
}
ul{
    li{
        list-style: none;
    }
}

//ESTILOS GENERALES
main{
    .section-login{
        position: fixed;
        top: 50%;
        left: 50%;
        width: 60%;
        height: 55%;
        background: white;
        border-radius: 10px;
        box-shadow: 0 0 10px black;
        transform: translateX(-50%) translateY(-50%);
        //FLEX
        display: flex;
        align-items: center;
        justify-content: space-between;
        .container-banner{
            display: none;
        }
        .login{
            padding: 30px;
            width: 100%;
            .container-logo-site{
                display: none;
            }
            .form{
                text-align: center;
                .subtitle{
                    font-size: rem;
                    font-weight: 800;
                    color: $primary;
                }
                .elements{
                    margin-top: 20px;
                    .list-elements{
                        label{
                            position: relative;
                            width: 100%;
                            margin: 55px 0;
                            padding: 10px 15px;
                            background: #F5F9F9;
                            //FLEX
                            display: flex;
                            i{
                                color: silver;
                            }
                            input{
                                border: none;
                                outline: none;
                                color: gray;
                                padding: 0 12px;
                                background: none;
                                &::placeholder{
                                    font-weight: 500;
                                }
                            }
                        }
                        .btn-login{
                            padding: 10px 15px;
                            width: 80%;
                            border: none;
                            outline: none;
                            color: white;
                            cursor: pointer;
                            background: $primary;
                            &:hover{
                                background: $select;
                            }
                        }
                    }
                }
            }
        }
    }
}
@media screen and (min-width: 480px){
    body{
        main{
            .section-login{
                height: 50%;
            }
        }
    }
}
@media screen and (min-width: 720px){
    body{
        overflow-x: hidden;
        overflow-y: hidden;
    }
    main{
        .section-login{
            width: 75%;
            height: 50%;
            .container-banner{
                position: relative;
                width: 45%;
                height: 100%;
                display: block;
                background: $primary;
                border-radius: 10px 0 0 10px;
                //FLEX
                display: flex;
                align-items: center;
                flex-direction: column;
                justify-content: center;
                .subtitle-banner{
                    position: relative;
                    top: -20px;
                    font-size: 1.5em;
                    color: white;
                }
                .text-info{
                    width: 80%;
                    color: white;
                    line-height: 2;
                    font-size: 13px;
                    text-align: center;
                }
            }
            .login{
                width: 60%;
            }
        }
    }
}
@media screen and (min-width: 1080px) and (max-width: 2560px){
    main{
        .section-login{
            width: 45%;
            height: 40%;
        }
    }
}